summaryrefslogtreecommitdiff
path: root/t/ax
diff options
context:
space:
mode:
Diffstat (limited to 't/ax')
-rw-r--r--t/ax/am-test-lib.sh55
-rw-r--r--t/ax/cc-no-c-o.in2
-rw-r--r--t/ax/deltree.pl2
-rw-r--r--t/ax/depcomp.sh2
-rw-r--r--t/ax/distcheck-hook-m4.am2
-rw-r--r--t/ax/extract-testsuite-summary.pl2
-rwxr-xr-xt/ax/is2
-rwxr-xr-xt/ax/is_newest2
-rw-r--r--t/ax/runtest.in2
-rw-r--r--t/ax/tap-functions.sh2
-rw-r--r--t/ax/tap-setup.sh2
-rw-r--r--t/ax/tap-summary-aux.sh2
-rw-r--r--t/ax/test-defs.in2
-rw-r--r--t/ax/test-init.sh2
-rw-r--r--t/ax/test-lib.sh5
-rw-r--r--t/ax/testsuite-summary-checks.sh2
-rw-r--r--t/ax/trivial-test-driver2
17 files changed, 37 insertions, 53 deletions
diff --git a/t/ax/am-test-lib.sh b/t/ax/am-test-lib.sh
index 26e58ef04..408ea1d75 100644
--- a/t/ax/am-test-lib.sh
+++ b/t/ax/am-test-lib.sh
@@ -1,6 +1,6 @@
# -*- shell-script -*-
#
-# Copyright (C) 1996-2013 Free Software Foundation, Inc.
+# Copyright (C) 1996-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -583,17 +583,31 @@ count_test_results ()
# of /bin/sh.
get_shell_script ()
{
- test ! -f "$1" || rm -f "$1" || return 99
+ am_source=$1 am_target=${2-$1}
+ test ! -f "$am_target" || rm -f "$am_target" || return 99
if test x"$am_test_prefer_config_shell" = x"yes"; then
- sed "1s|#!.*|#! $SHELL|" "$am_scriptdir/$1" > "$1" \
- && chmod a+x "$1" \
+ sed "1s|#!.*|#! $SHELL|" "$am_scriptdir/$am_source" > "$am_target" \
+ && chmod a+x "$am_target" \
|| return 99
else
- cp -f "$am_scriptdir/$1" . || return 99
+ cp -f "$am_scriptdir/$am_source" "$am_target" || return 99
fi
- sed 10q "$1" # For debugging.
+ sed 10q "$am_target" # For debugging.
+ unset am_target am_source
}
+# fetch_tap_driver
+# ----------------
+# Fetch the Automake-provided TAP driver from the 'lib/' directory into
+# the current directory, and edit its shebang line so that it will be
+# run with the proper shell.
+fetch_tap_driver ()
+{
+ AM_TAP_AWK=$AWK; export AM_TAP_AWK
+ get_shell_script tap-driver.sh tap-driver
+}
+
+
# require_xsi SHELL
# -----------------
# Skip the test if the given shell fails to support common XSI constructs.
@@ -612,35 +626,6 @@ xsi_shell_code='
&& eval '\''test $(( 1 + 1 )) -eq 2 \
&& test "${#_lt_dummy}" -eq 5'\'
-# fetch_tap_driver
-# ----------------
-# Fetch the Automake-provided TAP driver from the 'lib/' directory into
-# the current directory, and edit its shebang line so that it will be
-# run with the perl interpreter determined at configure time.
-fetch_tap_driver ()
-{
- # TODO: we should devise a way to make the shell TAP driver tested also
- # TODO: with /bin/sh, for better coverage.
- case $am_tap_implementation in
- # Extra quoting required to avoid maintainer-check spurious failures.
- 'perl')
- $PERL -MTAP::Parser -e 1 \
- || skip_all_ "cannot import TAP::Parser perl module"
- sed "1s|#!.*|#! $PERL -w|" "$am_scriptdir"/tap-driver.pl >tap-driver
- ;;
- shell)
- AM_TAP_AWK=$AWK; export AM_TAP_AWK
- sed "1s|#!.*|#! $SHELL|" "$am_scriptdir"/tap-driver.sh >tap-driver
- ;;
- *)
- fatal_ "invalid \$am_tap_implementation '$am_tap_implementation'" ;;
- esac \
- && chmod a+x tap-driver \
- || framework_failure_ "couldn't fetch $am_tap_implementation TAP driver"
- sed 10q tap-driver # For debugging.
-}
-am_tap_implementation=${am_tap_implementation-shell}
-
# $PYTHON and support for PEP-3147. Needed to check our python-related
# install rules.
python_has_pep3147 ()
diff --git a/t/ax/cc-no-c-o.in b/t/ax/cc-no-c-o.in
index bbc9ec900..ececbcdc9 100644
--- a/t/ax/cc-no-c-o.in
+++ b/t/ax/cc-no-c-o.in
@@ -1,5 +1,5 @@
#! @AM_TEST_RUNNER_SHELL@
-# Copyright (C) 2012-2013 Free Software Foundation, Inc.
+# Copyright (C) 2012-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/deltree.pl b/t/ax/deltree.pl
index 9b638dd19..3bc5ea808 100644
--- a/t/ax/deltree.pl
+++ b/t/ax/deltree.pl
@@ -2,7 +2,7 @@
# deltree: recursively removes file and directory,
# trying to handle permissions and other complications.
-# Copyright (C) 2013 Free Software Foundation, Inc.
+# Copyright (C) 2013-2014 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/depcomp.sh b/t/ax/depcomp.sh
index 03b0b7e17..82b58a305 100644
--- a/t/ax/depcomp.sh
+++ b/t/ax/depcomp.sh
@@ -1,5 +1,5 @@
#! /bin/sh
-# Copyright (C) 2012-2013 Free Software Foundation, Inc.
+# Copyright (C) 2012-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/distcheck-hook-m4.am b/t/ax/distcheck-hook-m4.am
index cf9a310e5..241d21ab1 100644
--- a/t/ax/distcheck-hook-m4.am
+++ b/t/ax/distcheck-hook-m4.am
@@ -1,6 +1,6 @@
## Data files for some tests. Not used in the automake build system.
##
-## Copyright (C) 2011-2013 Free Software Foundation, Inc.
+## Copyright (C) 2011-2014 Free Software Foundation, Inc.
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
diff --git a/t/ax/extract-testsuite-summary.pl b/t/ax/extract-testsuite-summary.pl
index e44622c33..622b01e54 100644
--- a/t/ax/extract-testsuite-summary.pl
+++ b/t/ax/extract-testsuite-summary.pl
@@ -2,7 +2,7 @@
# Extract the testsuite summary generated by the parallel testsuite
# harness from the output of "make check".
-# Copyright (C) 2012-2013 Free Software Foundation, Inc.
+# Copyright (C) 2012-2014 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/is b/t/ax/is
index 055a930b6..90e7d0826 100755
--- a/t/ax/is
+++ b/t/ax/is
@@ -1,5 +1,5 @@
#! /bin/sh
-# Copyright (C) 2012-2013 Free Software Foundation, Inc.
+# Copyright (C) 2012-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/is_newest b/t/ax/is_newest
index 14d8b79b3..def8e7c2b 100755
--- a/t/ax/is_newest
+++ b/t/ax/is_newest
@@ -1,5 +1,5 @@
#! /bin/sh
-# Copyright (C) 2012-2013 Free Software Foundation, Inc.
+# Copyright (C) 2012-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/runtest.in b/t/ax/runtest.in
index 57ce889c1..824baafd9 100644
--- a/t/ax/runtest.in
+++ b/t/ax/runtest.in
@@ -1,7 +1,7 @@
#!@AM_TEST_RUNNER_SHELL@
# @configure_input@
#
-# Copyright (C) 2012-2013 Free Software Foundation, Inc.
+# Copyright (C) 2012-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/tap-functions.sh b/t/ax/tap-functions.sh
index 9849ae0c7..136291c81 100644
--- a/t/ax/tap-functions.sh
+++ b/t/ax/tap-functions.sh
@@ -1,6 +1,6 @@
# -*- shell-script -*-
#
-# Copyright (C) 2011-2013 Free Software Foundation, Inc.
+# Copyright (C) 2011-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/tap-setup.sh b/t/ax/tap-setup.sh
index 3c992a388..312ce654f 100644
--- a/t/ax/tap-setup.sh
+++ b/t/ax/tap-setup.sh
@@ -1,5 +1,5 @@
#! /bin/sh
-# Copyright (C) 2011-2013 Free Software Foundation, Inc.
+# Copyright (C) 2011-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/tap-summary-aux.sh b/t/ax/tap-summary-aux.sh
index a914087a9..e60489aa1 100644
--- a/t/ax/tap-summary-aux.sh
+++ b/t/ax/tap-summary-aux.sh
@@ -1,5 +1,5 @@
#! /bin/sh
-# Copyright (C) 2011-2013 Free Software Foundation, Inc.
+# Copyright (C) 2011-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/test-defs.in b/t/ax/test-defs.in
index c716cab97..5bc30fce7 100644
--- a/t/ax/test-defs.in
+++ b/t/ax/test-defs.in
@@ -1,7 +1,7 @@
# -*- shell-script -*-
# @configure_input@
#
-# Copyright (C) 1996-2013 Free Software Foundation, Inc.
+# Copyright (C) 1996-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/test-init.sh b/t/ax/test-init.sh
index daf0bba45..5db20aebd 100644
--- a/t/ax/test-init.sh
+++ b/t/ax/test-init.sh
@@ -1,6 +1,6 @@
# -*- shell-script -*-
#
-# Copyright (C) 1996-2013 Free Software Foundation, Inc.
+# Copyright (C) 1996-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/test-lib.sh b/t/ax/test-lib.sh
index aa015d68d..3ce4df4dc 100644
--- a/t/ax/test-lib.sh
+++ b/t/ax/test-lib.sh
@@ -1,6 +1,6 @@
# -*- shell-script -*-
#
-# Copyright (C) 1996-2013 Free Software Foundation, Inc.
+# Copyright (C) 1996-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -254,7 +254,7 @@ am_exit_trap ()
# behaviour, while from time to time useful to developers, is not
# meant to be enabled by default, as it could cause spurious failures
# in the wild. Thus it will be enabled only when the variable
- # "am_explicit_skips" is set to a "true" value.
+ # 'am_explicit_skips' is set to a "true" value.
case $am_explicit_skips in
[yY]|[yY]es|1)
if test $exit_status -eq 77 && test $am__test_skipped != yes; then
@@ -266,7 +266,6 @@ am_exit_trap ()
fi
am_keeping_testdirs || rm_rf_ $am_test_subdir
set +x
- echo "$me: exit $exit_status"
# Spurious escaping to ensure we do not call our "exit" alias.
\exit $exit_status
}
diff --git a/t/ax/testsuite-summary-checks.sh b/t/ax/testsuite-summary-checks.sh
index 962a73022..d94f20cc2 100644
--- a/t/ax/testsuite-summary-checks.sh
+++ b/t/ax/testsuite-summary-checks.sh
@@ -1,5 +1,5 @@
#! /bin/sh
-# Copyright (C) 2011-2013 Free Software Foundation, Inc.
+# Copyright (C) 2011-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
diff --git a/t/ax/trivial-test-driver b/t/ax/trivial-test-driver
index 53caa9f20..ded56f37e 100644
--- a/t/ax/trivial-test-driver
+++ b/t/ax/trivial-test-driver
@@ -1,5 +1,5 @@
#! /bin/sh
-# Copyright (C) 2011-2013 Free Software Foundation, Inc.
+# Copyright (C) 2011-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by